org.hibernate.validator.internal.xml

## Class ConstrainedExecutableBuilder

- java.lang.Object
- - org.hibernate.validator.internal.xml.ConstrainedExecutableBuilder

-     public class ConstrainedExecutableBuilder
      extends Object

  Builder for constrained methods and constructors.
  Author:
    Hardy Ferentschik

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<ConstrainedExecutable>` | `buildConstructorConstrainedExecutable(List<ConstructorType> constructors, Class<?> beanClass, String defaultPackage, ParameterNameProvider parameterNameProvider, ConstraintHelper constraintHelper, AnnotationProcessingOptionsImpl annotationProcessingOptions)`
    `static Set<ConstrainedExecutable>` | `buildMethodConstrainedExecutable(List<MethodType> methods, Class<?> beanClass, String defaultPackage, ParameterNameProvider parameterNameProvider, ConstraintHelper constraintHelper, AnnotationProcessingOptionsImpl annotationProcessingOptions)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### buildMethodConstrainedExecutable

          public static Set<ConstrainedExecutable> buildMethodConstrainedExecutable(List<MethodType> methods,
                                                                    Class<?> beanClass,
                                                                    String defaultPackage,
                                                                    ParameterNameProvider parameterNameProvider,
                                                                    ConstraintHelper constraintHelper,
                                                                    AnnotationProcessingOptionsImpl annotationProcessingOptions)

    - #### buildConstructorConstrainedExecutable

          public static Set<ConstrainedExecutable> buildConstructorConstrainedExecutable(List<ConstructorType> constructors,
                                                                         Class<?> beanClass,
                                                                         String defaultPackage,
                                                                         ParameterNameProvider parameterNameProvider,
                                                                         ConstraintHelper constraintHelper,
                                                                         AnnotationProcessingOptionsImpl annotationProcessingOptions)

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved